# Uses of Class
org.apache.sysds.utils.stats.NGramBuilder.NGramEntry

Packages that use NGramBuilder.NGramEntry
Package
Description
org.apache.sysds.utils
org.apache.sysds.utils.stats

## Uses of NGramBuilder.NGramEntry in org.apache.sysds.utils

Methods in org.apache.sysds.utils that return types with arguments of type NGramBuilder.NGramEntry
Modifier and Type
Method
Description
`static <T> Comparator<NGramBuilder.NGramEntry<T,Statistics.NGramStats>>`
Statistics.NGramStats.`getComparator()`

## Uses of NGramBuilder.NGramEntry in org.apache.sysds.utils.stats

Methods in org.apache.sysds.utils.stats that return types with arguments of type NGramBuilder.NGramEntry
Modifier and Type
Method
Description
`List<NGramBuilder.NGramEntry<T,U>>`
NGramBuilder.`getTopK(int k)`
`List<NGramBuilder.NGramEntry<T,U>>`
NGramBuilder.`getTopK(int k, Comparator<NGramBuilder.NGramEntry<T,U>> comparator, boolean reversed)`
Method parameters in org.apache.sysds.utils.stats with type arguments of type NGramBuilder.NGramEntry
Modifier and Type
Method
Description
`List<NGramBuilder.NGramEntry<T,U>>`
NGramBuilder.`getTopK(int k, Comparator<NGramBuilder.NGramEntry<T,U>> comparator, boolean reversed)`
`static <T, U> String`
NGramBuilder.`toCSV(String[] columnNames, List<NGramBuilder.NGramEntry<T,U>> entries, Function<NGramBuilder.NGramEntry<T,U>,String> statsMapper)`
`static <T, U> String`
NGramBuilder.`toCSV(String[] columnNames, List<NGramBuilder.NGramEntry<T,U>> entries, Function<NGramBuilder.NGramEntry<T,U>,String> statsMapper)`
`static <T, U> void`
NGramBuilder.`toCSVStream(String[] columnNames, List<NGramBuilder.NGramEntry<T,U>> entries, Function<NGramBuilder.NGramEntry<T,U>,String> statsMapper, Consumer<String> lineConsumer)`
`static <T, U> void`
NGramBuilder.`toCSVStream(String[] columnNames, List<NGramBuilder.NGramEntry<T,U>> entries, Function<NGramBuilder.NGramEntry<T,U>,String> statsMapper, Consumer<String> lineConsumer)`